Name:		lyx
Summary:	A word processor for the Desktop Environment
Version:	2.0.3
Release:	%mkrel 2
Source:		ftp://ftp.lyx.org/pub/lyx/stable/2.0.x/%name-%version.tar.xz
# use xdg-open instead of hard coded applications to open files
# sent to upstream developers by fhimpe on 4 Jun 2009
Patch0:		lyx-2.0.1-xdg_open.patch
URL:		http://www.lyx.org/
Group:		Office

BuildRequires:	qt4-devel xpm-devel libjpeg-devel
#BuildRequires:	chrpath
BuildRequires:	gettext-devel
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	ghostscript 
BuildRequires:	groff-for-man 
BuildRequires:	sgml-tools
BuildRequires:	dvips latex texinfo
BuildRequires:	libboost-devel
# let's build it without hunspell as enchand defaults to hunspell
# building with hunspell doesn't find the dictionary
BuildRequires:	enchant-devel
BuildRequires:	python
BuildRequires:	imagemagick
Obsoletes:      lyx-gtk
Requires:	texlive latex dvips cmsuper fonts-ttf-latex 
Requires:	xdg-utils

License:	GPLv2+

%description
LyX is a modern approach of writing documents with a computer
which breaks with the tradition of the obsolete typewriter
concept.  It is designed for people who want a professional
output with a minimum of time effort, without becoming specia-
lists in typesetting.  Compared to common word processors LyX
will increase the productivity a lot, since most of the type-
setting will be done by the computer, not the author.  With LyX
the author can concentrate on the contents of their writing,
since the computer will take care of the look.

%prep
%setup -q
%patch0 -p1 -b .xdg-open

%build
%configure2_5x --with-frontend=qt4 --disable-rpath \
	--without-included-boost \
	-enable-optimization="%{optflags}" \
	--with-enchant
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-lyx.desktop << EOF
[Desktop Entry]
Name=LyX
Comment=TeX document processor - especially good at scientific documents
Exec=lyx
Icon=lyx
Terminal=false
Type=Application
Categories=Qt;Office;WordProcessor;X-MandrivaLinux-CrossDesktop;
MimeType=application/x-lyx;
EOF


## icons
mkdir -p %{buildroot}/%_liconsdir
convert -size 48x48 development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_liconsdir/%name.png
mkdir -p %{buildroot}/%_iconsdir
cp development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_iconsdir/%name.png
mkdir -p %{buildroot}/%_miconsdir
convert -size 16x16 development/Win32/packaging/icons/lyx_32x32.png %{buildroot}/%_miconsdir/%name.png

## Set up the lyx-specific class files where TeX can see then
TEXMF=%{_datadir}/texmf
mkdir -p %{buildroot}${TEXMF}/tex/latex
cp -r %{buildroot}%_datadir/lyx/tex %{buildroot}${TEXMF}/tex/latex/lyx
chmod +x %{buildroot}%_datadir/lyx/configure.py
rm -f %{buildroot}%_bindir/listerrors

%find_lang %name
find %{buildroot}%_datadir/%name -type f | sed -e "s@%{buildroot}@@g" \
	-e "s@%_datadir/%name/doc/\(..\)_@%lang(\1) %_datadir/%name/doc/\1_@g" \
	-e "s@\(%_datadir/%name/configure.py\)\$@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/scripts/\)@%attr(755,root,root) \1@g" \
	-e "s@\(%_datadir/%name/lyx2lyx/\)@%attr(755,root,root) \1@g" \
	>> %name.lang
find %{buildroot}%_datadir/%name -type d | sed -e "s@%{buildroot}@%dir @g" >> %name.lang

#chrpath -d %{buildroot}%_bindir/%name


## Fix the TeX file hash
texhash
## Before configuring lyx for the local system 
## PATH needs to be imported
if [ -f /etc/profile ]; then
    . /etc/profile
fi
## Now configure LyX
cd %{buildroot}%_datadir/lyx
./configure.py > /dev/null


%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr (-,root,root)
%doc README ANNOUNCE
%_bindir/%name
%_bindir/lyxclient
%_bindir/tex2lyx
%_mandir/man1/*
%_datadir/%name
%_datadir/texmf/tex/latex/lyx
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%_datadir/applications/%{_real_vendor}-lyx.desktop




%changelog

* Wed Mar 14 2012 spuhler <spuhler> 2.0.3-2.mga2
+ Revision: 223315
- build without hunspell as enchant defaults to hunspell by itself

* Wed Feb 29 2012 fwang <fwang> 2.0.3-1.mga2
+ Revision: 215978
- new version 2.0.3

* Wed Nov 30 2011 fwang <fwang> 2.0.2-1.mga2
+ Revision: 174348
- new version 2.0.2

* Mon Nov 28 2011 fwang <fwang> 2.0.1-3.mga2
+ Revision: 173612
- rebuild for new boost

* Tue Sep 06 2011 schultz <schultz> 2.0.1-2.mga2
+ Revision: 139759
- Remove gender bias from description

* Tue Sep 06 2011 fwang <fwang> 2.0.1-1.mga2
+ Revision: 139641
- new version 2.0.1
- rebuild for new boost

* Sun Jun 26 2011 fwang <fwang> 2.0.0-3.mga2
+ Revision: 113999
- rebuild for new hunspell

* Wed Jun 22 2011 fwang <fwang> 2.0.0-2.mga2
+ Revision: 111915
- rebuild for new boost

* Thu Jun 16 2011 tv <tv> 2.0.0-1.mga2
+ Revision: 108511
- new version 2.0.0
- br gettext
- use xz tarball

* Tue Apr 26 2011 wally <wally> 1.6.8-3.mga1
+ Revision: 91768
- fix desktop file name (mga#954)
- fix exec line on desktop file

* Fri Mar 04 2011 boklm <boklm> 1.6.8-2.mga1
+ Revision: 64176
- use texlive instead of tetex

* Thu Feb 10 2011 spuhler <spuhler> 1.6.8-1.mga1
+ Revision: 49629
-cd %%_datadir/lyx
  +cd %%{buildroot}%%_datadir/lyx
-#%%_datadir/%%name
  +%%_datadir/%%name
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package lyx

